#ifndef F_CPU
	#define F_CPU 12000000
#endif

#include <avr/interrupt.h>
#include "i2clcd.h"

#define PRELOAD 55000

volatile int i = 0;

// ISR Timer1-Ueberlauf
ISR(TIMER1_OVF_vect)
{
	TCNT1 = PRELOAD;						// Preloadwert setzen
	i++;
}


int main(void)
{
	int old_i = 0;
	char s[10];
	
	// Timer initialisieren...
    TCNT1   = PRELOAD;						// Preloadwert setzen
	TCCR1B |= (1 << CS02) | (1 << CS00);	// Prescaler Timer1 auf 1024 stellen
	TIMSK  |= (1 << TOIE1);					// Timer 1 Overflow Interrupt enable
	sei(); 									// Interrupts einschalten

	// TWI initialisieren
	i2c_init();

	// LCD initialisieren
	lcd_init();

	// LCD-Anzeige loeschen
	lcd_command(LCD_CLEAR);
	
	// Hintergrundbeleuchtung an
	lcd_backlight(ON);

	// Text auf LCD ausgeben
	lcd_printlc(1,1,(unsigned char *)"-->BLIT-Board<--");
	lcd_printlc(2,1,(unsigned char *)"Uwe Berger; 2008");

	// Text ca. 2s stehen lassen und Anzeige loeschen	
	lcd_wait_ms(1000);
	lcd_backlight(ON);
	lcd_command(LCD_CLEAR);
	
	lcd_printlc(1,1,(unsigned char *)"-->BLIT-Board<--");
	lcd_printlc(2,1,(unsigned char *)"Zaehler: ");
	while (true){
		// wenn sich i veraendert hat, i neu auf LCD ausgeben
		if (old_i != i) {
			old_i = i;
			itoa(i, s, 10);							// Zahl in Text umwandeln
			lcd_printlr(2, 10, (unsigned char *)s);
		}
	}					
}
